/*
 * Copyright (C) 2011-2017 HBM Netherlands B.V.
 * Schutweg 15a
 * 5145NP Waalwijk
 * The Netherlands
 * http://www.hbm.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
 

#ifndef HBM_FPGA_I2C_H
#define HBM_FPGA_I2C_H


#define FPGA_I2C_CLOCK_FREQ             50000


struct i2c_bus_props_t {
	u32	regbase;	/* Relative register base for this I2C bus as referred to by application */
	u32	irq_mask;	/* Interrupt mask associated with this I2C bus */
	u8	event;		/* Event number associated with this I2C bus */
};


long  i2c_ioctl     (struct hbm_fpga_dev     *fpga,
                     unsigned int            cmd,
                     unsigned long           arg);

void  i2c_handle_isr(struct hbm_fpga_dev     *fpga,
                     unsigned int            irq_status);

int   i2c_init      (struct hbm_fpga_dev     *fpga,
                     struct i2c_bus_props_t  *props);

void  i2c_release   (struct hbm_fpga_dev     *fpga);


#endif /* HBM_FPGA_I2C_H */

